IF EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name = N'formsdb')
	DROP DATABASE [formsdb]
GO

CREATE DATABASE [formsdb]  ON (NAME = N'formsdb_Data', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL\data\formsdb_Data.MDF' , SIZE = 1, FILEGROWTH = 10%) LOG ON (NAME = N'formsdb_Log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL\data\formsdb_Log.LDF' , SIZE = 1, FILEGROWTH = 10%)
 COLLATE SQL_Latin1_General_CP1_CI_AS
GO

exec sp_dboption N'formsdb', N'autoclose', N'false'
GO

exec sp_dboption N'formsdb', N'bulkcopy', N'false'
GO

exec sp_dboption N'formsdb', N'trunc. log', N'false'
GO

exec sp_dboption N'formsdb', N'torn page detection', N'true'
GO

exec sp_dboption N'formsdb', N'read only', N'false'
GO

exec sp_dboption N'formsdb', N'dbo use', N'false'
GO

exec sp_dboption N'formsdb', N'single', N'false'
GO

exec sp_dboption N'formsdb', N'autoshrink', N'false'
GO

exec sp_dboption N'formsdb', N'ANSI null default', N'false'
GO

exec sp_dboption N'formsdb', N'recursive triggers', N'false'
GO

exec sp_dboption N'formsdb', N'ANSI nulls', N'false'
GO

exec sp_dboption N'formsdb', N'concat null yields null', N'false'
GO

exec sp_dboption N'formsdb', N'cursor close on commit', N'false'
GO

exec sp_dboption N'formsdb', N'default to local cursor', N'false'
GO

exec sp_dboption N'formsdb', N'quoted identifier', N'false'
GO

exec sp_dboption N'formsdb', N'ANSI warnings', N'false'
GO

exec sp_dboption N'formsdb', N'auto create statistics', N'true'
GO

exec sp_dboption N'formsdb', N'auto update statistics', N'true'
GO

use [formsdb]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_getuserdetails]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[sp_getuserdetails]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[formsUserInfo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[formsUserInfo]
GO

if not exists (select * from master.dbo.syslogins where loginname = N'MYMACHINE\ASPNET')
	exec sp_grantlogin N'MYMACHINE\ASPNET'
	exec sp_defaultdb N'MYMACHINE\ASPNET', N'master'
	exec sp_defaultlanguage N'MYMACHINE\ASPNET', N'us_english'
GO

if not exists (select * from dbo.sysusers where name = N'MYMACHINE\ASPNET' and uid < 16382)
	EXEC sp_grantdbaccess N'MYMACHINE\ASPNET', N'MYMACHINE\ASPNET'
GO

CREATE TABLE [dbo].[formsUserInfo] (
	[userName] [varchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[passwordHash] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[passwordSalt] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[userGroup] [int] NULL
) ON [PRIMARY]
GO

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

CREATE PROCEDURE sp_getuserdetails
@acctname varchar(64),
@passhash varchar(50) out,
@passsalt varchar(50) out
 AS
select @passhash = passwordHash, @passsalt = passwordSalt FROM formsUserInfo WHERE userName = @acctname
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

GRANT  EXECUTE  ON [dbo].[sp_getuserdetails]  TO [MYMACHINE\ASPNET]
GO

